Subject: Re: Multi-boot advice.

From: Ethan Benson <[email-masked]>
Date: Thu, 6 Jul 2000 21:41:45 -0800

On Thu, Jul 06, 2000 at 07:57:13AM -0700, Matt Brubeck wrote:
> 
> On Thu, 6 Jul 2000, Iain Sandoe wrote:
> 
> > I think I read that I must put the Linux boot partition before the
> > MacOS - X one?
> 
> If you are using yaboot with an OF-bootable partition (e.g. you are using
> ybin to set up a bootstrap partition), then placing that partition before
> MacOS will allow you to boot Linux by default without changing any open
> firmware settings.

if you use a multiboot script and you place the Apple_Bootstrap
partition first you will always get the boot choice without altering
OF settings.

> Other than that, partition order shouldn't matter.
> 
> Speaking of yaboot, I have a question. Can yaboot boot MacOS, or can I
> make it exit back to OF without rebooting?

well strictly speaking, no.  yaboot cannot boot anything else, and
once its loaded OpenFirmware is pretty much destroyed.  you can
however use a magicboot script to give you the choice to boot linux or
macos, this scriptloads before yaboot and thus can boot macos.  

> I'd like to just have my machine always load yaboot, and then use the
> yaboot prompt to choose my OS. But once I'm in yaboot, Linux seems to be
> my only option. Is this true? If so, can it be changed?

yes use a magicboot script.  see the ybin docs.

-- 
Ethan Benson
http://www.alaska.net/~erbenson/